Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class AbstractQuickTimeStream.Group

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream.Group

Direct Known Subclasses:
  AbstractQuickTimeStream.Chunk, AbstractQuickTimeStream.SampleSizeGroup, AbstractQuickTimeStream.TimeToSampleGroup

Enclosing class:
  AbstractQuickTimeStream

    protected abstract static class AbstractQuickTimeStream.Group

extends java.lang.Object

Groups consecutive samples with same characteristics.

Field Summary
`protected AbstractQuickTimeStream.Sample` | `firstSample`
`protected AbstractQuickTimeStream.Sample` | `lastSample`
`protected static long` | `maxSampleCount`
`protected long` | `sampleCount`

Constructor Summary
`protected` | `AbstractQuickTimeStream.Group(AbstractQuickTimeStream.Group group)`
`protected` | `AbstractQuickTimeStream.Group(AbstractQuickTimeStream.Sample firstSample)`
`protected` | `AbstractQuickTimeStream.Group(AbstractQuickTimeStream.Sample firstSample, AbstractQuickTimeStream.Sample lastSample, long sampleCount)`

Method Summary
`long` | `getSampleCount()`
`protected boolean` | `maybeAddChunk(AbstractQuickTimeStream.Chunk chunk)` Returns true, if the chunk was added to the group.
`protected boolean` | `maybeAddSample(AbstractQuickTimeStream.Sample sample)` Returns true, if the samples was added to the group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstSample

    protected AbstractQuickTimeStream.Sample firstSample

### lastSample

    protected AbstractQuickTimeStream.Sample lastSample

### sampleCount

    protected long sampleCount

### maxSampleCount

    protected static final long maxSampleCount

See Also:
  Constant Field Values

Constructor Detail

### AbstractQuickTimeStream.Group

    protected AbstractQuickTimeStream.Group(AbstractQuickTimeStream.Sample firstSample)

### AbstractQuickTimeStream.Group

    protected AbstractQuickTimeStream.Group(AbstractQuickTimeStream.Sample firstSample,
                                            AbstractQuickTimeStream.Sample lastSample,
                                            long sampleCount)

### AbstractQuickTimeStream.Group

    protected AbstractQuickTimeStream.Group(AbstractQuickTimeStream.Group group)

Method Detail

### maybeAddSample

    protected boolean maybeAddSample(AbstractQuickTimeStream.Sample sample)

  Returns true, if the samples was added to the group. If false is returned, the sample must be added to a new group.

  A sample can only be added to a group, if the capacity of the group is not exceeded.

### maybeAddChunk

    protected boolean maybeAddChunk(AbstractQuickTimeStream.Chunk chunk)

  Returns true, if the chunk was added to the group. If false is returned, the chunk must be added to a new group.

  A chunk can only be added to a group, if the capacity of the group is not exceeded.

### getSampleCount

    public long getSampleCount()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD